This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 885955 - add %{_isa} to ghc-deps.sh to reduce multilib AutoQA warnings
add %{_isa} to ghc-deps.sh to reduce multilib AutoQA warnings
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ghc-rpm-macros (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-11 02:05 EST by Jens Petersen
Modified: 2013-06-20 01:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 01:16:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-12-11 02:05:10 EST
Description of problem:
AutoQA gives dependency conflicts on x86_64 between
i686 and x86_64 libraries.  I think adding %(_isa) to
Requires and Provides generated by ghc-deps.sh
may help to reduce/avoid them hopefully.

Needs some testing - perhaps it could be done for F20
or possibly before F19 Mass Rebuild.
Comment 1 Fedora End Of Life 2013-04-03 13:01:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Jens Petersen 2013-05-16 05:29:48 EDT
I am not sure now that it will actually help:
the actual problem seems to be that AutoQA grabs
packages directly from koji not the repo which are
no longer multilib, probably under the assumption
that devel implies multilib.  So maybe AutoQA needs
to filter out ghc*devel.i686 on x86_64.
Comment 3 Jens Petersen 2013-06-20 01:16:00 EDT
See https://fedorahosted.org/autoqa/ticket/436 for the autoqa bug.

Note You need to log in before you can comment on or make changes to this bug.